
SCM Creator (+Github) - Bug #1869

Copying of hooks dir doesn't work (for me)

14 Oct 2011 14:18 - Blaž Podržaj

Status: Closed Start date: 14 Oct 2011

Priority: Normal Due date: 22 Oct 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.3.0   

Redmine version:  External issue:  

Description

Im using Redmine 1.2.1 and here’s my scm.jml:

production:

  auto_create: false

  deny_delete: false

  svn:

    path: /svnroot

    svnadmin: /usr/bin/svnadmin

    hooks: /path/to/svn-hooks

    url: https://redmine.mysite.com/svn

 

Repos are created just fine under /svnroot but hooks from /path/to/svn-hooks are being copied to /svnroot/hooks directory (instead of

/svnroot/<repo_name>/hooks) and since this directory doesn’t exist it throws out an error:

/bin/cp: cannot create regular file `/svnroot/hooks/': Is a directory

Related issues:

Duplicated by SCM Creator (+Github) - Bug #1879: Hooks copy failed Closed 21 Oct 2011

Associated revisions

Revision 44 - 22 Oct 2011 11:05 - Andriy Lesyuk

Fixed #1869 and #1879 (thanks Blaž Podržaj, Mike Hagedon and Clément Démoulins!)

History

#1 - 17 Oct 2011 18:17 - Mike Hagedon

I had the same problem, and I think this is a bug. Line 104 of lib/scm_repositories_controller_patch.rb reads

args << "#{path}/hooks/”

If you change it to

args << "#{repath}/hooks/”

hook copying should work. At least it did in my case!

#2 - 18 Oct 2011 08:53 - Blaž Podržaj

Thanx mate, it works!
#3 - 22 Oct 2011 09:19 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 0.3.0

#4 - 22 Oct 2011 11:06 - Andriy Lesyuk

- Due date set to 22 Oct 2011

- Status changed from Open to Closed

- % Done changed from 0 to 100

Thanks!
